package com.xinyilu.system.domain.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Objects;

/**
 * @author wanghao
 * @create 2023/8/1 0001
 */
@Data
public class KindergartenExamineAndApproveDTO implements Serializable {


    private static final long serialVersionUID = 9086742922767786489L;
    /**
     * 幼儿园id
     */
    private Integer kindergartenId;


    /**
     * 幼儿园名称
     */
    private String kindergartenName;


    /**
     * 批次编号
     */
    private String batchCode;
    /**
     * 批次名称
     */
    private String batchName;

    /**
     * 审核报告类型
     */
    private String checkReportType;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        KindergartenExamineAndApproveDTO that = (KindergartenExamineAndApproveDTO) o;
        return kindergartenId.equals(that.kindergartenId) && Objects.equals(batchCode, that.batchCode);
    }

    @Override
    public int hashCode() {
        return Objects.hash( kindergartenId, batchCode);
    }
}
